Files
Show File
Shows general information about the "File" object. Each File can have several "Version"'s, and each Version can have multiple real files or "Data" blobs.
Authorization
authCookie auth<token>
Auth Token via Cookie
In: cookie
Path Parameters
fileId*string
Must be a valid file ID.
Response Body
application/json
application/json
curl -X GET "https://api.vrchat.cloud/api/1/file/file_00000000-0000-0000-0000-000000000000"{
"id": "file_00000000-0000-0000-0000-000000000000",
"name": "Avatar - Test Avatar - Unity package - 2017․4․28f1_3_standalonewindows_Release",
"extension": ".unitypackage",
"mimeType": "application/gzip",
"ownerId": "usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469",
"tags": [],
"versions": [
{
"created_at": "2019-08-15T11:04:37.910Z",
"status": "complete",
"version": 0
},
{
"created_at": "2019-08-15T11:04:49.702Z",
"delta": {
"category": "queued",
"fileName": "Avatar-Test-Avatar-Unity.file_00000000-0000-0000-0000-000000000000.1.unitypackage.delta",
"md5": "",
"sizeInBytes": 0,
"status": "none",
"uploadId": "",
"url": "https://s3.us-east-1.amazonaws.com/files.vrchat.cloud/Avatar-Test-Avatar-Unity.file_00000000-0000-0000-0000-000000000000.1.unitypackage.delta"
},
"file": {
"category": "multipart",
"fileName": "Avatar-Test-Avatar-Unity.file_00000000-0000-0000-0000-000000000000.1.unitypackage",
"md5": "xxxxxxxxxxxxxxxxxxx==",
"sizeInBytes": 303055180,
"status": "complete",
"uploadId": "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
"url": "https://s3.us-east-1.amazonaws.com/files.vrchat.cloud/Avatar-Test-Avatar-Unity.file_00000000-0000-0000-0000-000000000000.1.unitypackage"
},
"signature": {
"category": "simple",
"fileName": "Avatar-Test-Avatar-Unity.file_00000000-0000-0000-0000-000000000000.1.unitypackage.signature",
"md5": "xxxxxxxxxxxxxxxx==",
"sizeInBytes": 532748,
"status": "complete",
"uploadId": "",
"url": "https://s3.us-east-1.amazonaws.com/files.vrchat.cloud/Avatar-Test-Avatar-Unity.file_00000000-0000-0000-0000-000000000000.1.unitypackage.signature"
},
"status": "complete",
"version": 1
}
]
}{
"error": {
"message": "File 'file_ce35d830-e20a-4df0-a6d4-5aaef4508044' not found",
"status_code": 404
}
}